Bug 1612492 - [abrt] ibus: g_assertion_message_error(): ibus-daemon killed by SIGABRT [NEEDINFO]
Summary: [abrt] ibus: g_assertion_message_error(): ibus-daemon killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:28088414b66452ae381b92faaab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-05 05:03 UTC by Chen_Min_Chin
Modified: 2019-05-28 23:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:53:36 UTC
tfujiwar: needinfo? (tcfxfzoi)


Attachments (Terms of Use)
File: backtrace (23.38 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: cgroup (331 bytes, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (9.85 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: cpuinfo (839 bytes, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: dso_list (2.27 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: environ (3.95 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: maps (11.87 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (4.03 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: open_fds (1.98 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-08-05 05:03 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2018-08-05 05:03:32 UTC
Version-Release number of selected component:
ibus-1.5.18-7.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: g_assertion_message_error
executable:     /usr/bin/ibus-daemon
journald_cursor: s=8a45276af9784ffd8192ba89d62682ca;i=623f5;b=b555b2d60e6f49c083e6faff1ef81571;m=3ca301b9;t=57246fbd6107c;x=e9c6804bbee82368
kernel:         4.17.9-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Chen_Min_Chin 2018-08-05 05:03:37 UTC
Created attachment 1473368 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2018-08-05 05:03:38 UTC
Created attachment 1473369 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2018-08-05 05:03:40 UTC
Created attachment 1473370 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2018-08-05 05:03:41 UTC
Created attachment 1473371 [details]
File: cpuinfo

Comment 5 Chen_Min_Chin 2018-08-05 05:03:43 UTC
Created attachment 1473372 [details]
File: dso_list

Comment 6 Chen_Min_Chin 2018-08-05 05:03:44 UTC
Created attachment 1473373 [details]
File: environ

Comment 7 Chen_Min_Chin 2018-08-05 05:03:46 UTC
Created attachment 1473374 [details]
File: limits

Comment 8 Chen_Min_Chin 2018-08-05 05:03:47 UTC
Created attachment 1473375 [details]
File: maps

Comment 9 Chen_Min_Chin 2018-08-05 05:03:49 UTC
Created attachment 1473376 [details]
File: mountinfo

Comment 10 Chen_Min_Chin 2018-08-05 05:03:50 UTC
Created attachment 1473377 [details]
File: open_fds

Comment 11 Chen_Min_Chin 2018-08-05 05:03:51 UTC
Created attachment 1473378 [details]
File: proc_pid_status

Comment 12 fujiwara 2018-08-09 10:45:58 UTC
(In reply to Chen_Min_Chin from comment #1)
> Created attachment 1473368 [details]
> File: backtrace


I cannot reproduce your backtrace.

#2  0x00007fd2d4dfb0f3 in g_assertion_message (domain=0x558f374cc8ba "IBUS", file=0x558f374d1661 "engineproxy.c", line=677, func=0x558f374d1d30 <__func__.28333> "bus_engine_proxy_new_internal", message=<optimized out>) at gtestutils.c:2532


Unfortunately the message was optimized in your backtrace and I cannot see it.
Did you install ibus-debuginfo and ibus-libs-debuginfo packages?
If not, please install them and can you create the report again?


#0  0x00007fd2d4838feb in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
        set = {__val = {0, 94073602762895, 94073602763052, 94073602762752, 94073602763052, 0, 0, 32, 2048, 140543488932928, 129, 140543485562224, 2048, 0, 7, 0}}
#1  0x00007fd2d48235c1 in __GI_abort () at abort.c:79
#2  0x00007fd2d4dfb0f3 in g_assertion_message (domain=0x558f374cc8ba "IBUS", file=0x558f374d1661 "engineproxy.c", line=677, func=0x558f374d1d30 <__func__.28333> "bus_engine_proxy_new_internal", message=<optimized out>) at gtestutils.c:2532
#3  0x00007fd2d4e54922 in g_assertion_message_error (domain=domain@entry=0x558f374cc8ba "IBUS", file=file@entry=0x558f374d1661 "engineproxy.c", line=line@entry=677, func=func@entry=0x558f374d1d30 <__func__.28333> "bus_engine_proxy_new_internal", expr=expr@entry=0x558f374d17b5 "error", error=0x7fd2b8057330, error_domain=0, error_code=0) at gtestutils.c:2644
#4  0x0000558f374c505e in bus_engine_proxy_new_internal (connection=<optimized out>, desc=0x558f37aaff40 [IBusEngineDesc], path=0x7fd2b8035340 "/org/freedesktop/IBus/Engine/1") at engineproxy.c:677
#5  0x0000558f374c505e in create_engine_ready_cb (factory=<optimized out>, res=<optimized out>, data=0x7fd2b0006c00) at engineproxy.c:758
#6  0x00007fd2d53d9d54 in g_task_return_now (task=0x558f37aba210 [GTask]) at gtask.c:1148
#7  0x00007fd2d53da806 in g_task_return (task=0x558f37aba210 [GTask], type=<optimized out>) at gtask.c:1206

Comment 13 Ben Cotton 2019-05-02 19:42:32 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 23:53:36 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.